Vraag update-rc.d: fout: insserv heeft de script header verworpen dpkg: erreur de traitement du paquet util-linux (--configure):


ik probeer een upgrade of een aantal pakketten te installeren en ik ontvang de foutmelding

E: Sub-process /usr/bin/dpkg returned an error code (1)
 update-rc.d: error: insserv rejected the script header
dpkg: erreur de traitement du paquet util-linux (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 util-linux
E: Sub-process /usr/bin/dpkg returned an error code (1)

Help me alsjeblieft, ik gebruik ubuntu 14.10. Bedankt


2
2017-07-21 14:48


oorsprong


Is het een schone installatie? - kenn
Ja, ik denk dat het schoon is - Mgouni Youssef
I denk util-linux init script in /etc/init.d ontbreekt LSB-informatie - kenn
En wat kan ik doen om dit probleem op te lossen - Mgouni Youssef


antwoorden:


I denk util-linux init script in /etc/init.d ontbreekt LSB-informatie

Als een tijdelijke oplossing kunt u dat script vinden en iets als bovenaan toevoegen

#!/bin/sh -e
### BEGIN INIT INFO
# Provides:          
# Required-Start:    
# Required-Stop:     
# Default-Start:     
# Default-Stop:
# Short-Description: 
### END INIT INFO

Maar het is geen complete oplossing. U krijgt dergelijke foutmeldingen steeds wanneer u een toepassing installeert die het init-script toevoegt aan /etc/init.d

Ik had een soortgelijk probleem en ik heb het opgelost door de oplossing toe te passen in het laatste bericht op deze link https://bugs.launchpad.net/ubuntu/+source/insserv/+bug/467000

Merk op dat dit niet betekent dat het in uw geval werkt. En het zou je systeem kunnen breken

Voor informatie over LSB check out https://wiki.debian.org/LSBInitScripts


6
2017-07-21 16:53



Ik zal zien of het in mijn geval wordt uitgevoerd en ik zal het je vertellen, heel erg bedankt - Mgouni Youssef
wees alstublieft voorzichtig - kenn
Ik probeer deze oplossing maar niets nieuws, nog steeds hetzelfde probleem - Mgouni Youssef
Heb je repo toegevoegd naast Ubuntu? - kenn
Ik begrijp het niet, ik ben geen pro - Mgouni Youssef


Als u meer informatie plakt, is het handig. Ik kwam dit probleem tegen toen ik iets installeerde.

Hier is het probleem,

Extracting templates from packages: 100%
Setting up util-linux (2.27.1-6ubuntu3.5) ...
insserv: warning: script 'S15solrd' missing LSB tags and overrides
insserv: warning: script 'solrd' missing LSB tags and overrides
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: Starting solrd depends on rc.local and therefore on system facility `$all' which can not be true!
insserv: There is a loop between service solrd and rc.local if started
insserv:  loop involving service rc.local at depth 12
insserv:  loop involving service solrd at depth 1
insserv: exiting now without changing boot order!
update-rc.d: error: insserv rejected the script header
dpkg: error processing package util-linux (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 util-linux
E: Sub-process /usr/bin/dpkg returned an error code (1)

Uit de uitvoer denk ik dat ik solrd niet heb geconfigureerd. Dus ik verwijder alles wat met solrd te maken heeft in rc.local of rc


0
2018-04-08 06:53